<?php

use App\Http\Controllers\ProviderSpecialityController;
use Illuminate\Support\Facades\Route;

Route::get('/provider/specialities/{providerId}',         [ProviderSpecialityController::class, 'index'])->middleware('permission:config.provider_speciality,view');
Route::post('/provider/specialities/{providerId}',        [ProviderSpecialityController::class, 'store'])->middleware('permission:config.provider_speciality,add');
Route::delete('/provider/specialities/{providerId}/{id}', [ProviderSpecialityController::class, 'destroy'])->middleware('permission:config.provider_speciality,delete');
